Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
BlackBerry Development Advisor
Posts: 68
Registered: ‎10-15-2012
My Device: Z10
My Carrier: Telus

Re: trying to use Qt Mobility 1.2 - how to add correct library?

Hi,

 

Ok, I see that the plugin is missing from the NDK. That's not good but you should still be able to build and run an app that imports it, as long as the plugin exists on your device. Presumably you have the build corresponding to the NDK loaded on your phone? When you say it does not run, are you getting an error message? Or black screen?

 

Can you point me to where you read that this plugin is not available for qml?

 

Jim

New Contributor
Posts: 8
Registered: ‎02-26-2013
My Device: alpha 10 dev
My Carrier: nothing... device for developer

Re: trying to use Qt Mobility 1.2 - how to add correct library?

I get a black screen and the link where it says not available for QML is # http://developer.blackberry.com/cascades/documentation/device_platform/location/#

BlackBerry Development Advisor
Posts: 68
Registered: ‎10-15-2012
My Device: Z10
My Carrier: Telus

Re: trying to use Qt Mobility 1.2 - how to add correct library?

What build do you have on your device (Settings -> About -> OS Version)?

 

I presume your test app works fine if you remove the "import QtMobilitySubset.location 1.1" statement, and any references to location qml elements?

New Contributor
Posts: 8
Registered: ‎02-26-2013
My Device: alpha 10 dev
My Carrier: nothing... device for developer

Re: trying to use Qt Mobility 1.2 - how to add correct library?

the version is: 10.0.9.1103

New Contributor
Posts: 8
Registered: ‎02-26-2013
My Device: alpha 10 dev
My Carrier: nothing... device for developer

Re: trying to use Qt Mobility 1.2 - how to add correct library?

al eliminar las referencias de QtMobily.Location  y PositionSource, la aplicacion funciona

New Contributor
Posts: 8
Registered: ‎02-26-2013
My Device: alpha 10 dev
My Carrier: nothing... device for developer

Re: trying to use Qt Mobility 1.2 - how to add correct library?

jim a question again jejeje... you know how to invoke a sys.browser within webView? in other words., I need to open a Google Maps URL, but do not want to open another screen, it opens in my application because the webview only doing my app closes ..

BlackBerry Development Advisor
Posts: 68
Registered: ‎10-15-2012
My Device: Z10
My Carrier: Telus

Re: trying to use Qt Mobility 1.2 - how to add correct library?

The location qml support was added some time after this version, so that would explain the black screen you are seeing. Can you update your device to 10.0.10?

New Contributor
Posts: 8
Registered: ‎02-26-2013
My Device: alpha 10 dev
My Carrier: nothing... device for developer

Re: trying to use Qt Mobility 1.2 - how to add correct library?

tks!! Working, just had to update my device to version 10.0.10, changing the subject, I need to read a json from a webservice, but do not want to show in a listview, are values that I require a consultation show several labels .. (4 values to be exact).

BlackBerry Development Advisor
Posts: 68
Registered: ‎10-15-2012
My Device: Z10
My Carrier: Telus

Re: trying to use Qt Mobility 1.2 - how to add correct library?

Hi,

 

Glad you got the location qml plugin working. Re json and the webservice you're better off to ask that in another post!

 

Jim